import uuid

from brewman.schemas import to_camel
from pydantic import BaseModel, ConfigDict

from . import Daf


class IssueGridItem(BaseModel):
    id_: uuid.UUID
    amount: Daf
    source: str
    destination: str
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
